🔒 Authentication

The following section explains how to obtain, use, and refresh access tokens for the Seven Senders API.

The Seven Senders API protects your data and requires authorization for all requests. To access the API, you will need valid security credentials (access key), which you can obtain from your Seven Senders integration contact. You will receive separate API credentials for each environment: one for UAT and one for Production.

Obtain a secure access token for your session by sending a POST /token request using your permanent access key. A successful request returns a token that must be included in all subsequent API calls. The token is valid for 60 minutes from the time of issuance.

Authentication Endpoint - Environment

https://api-uat.sevensenders.com/v2/token
https://api.sevensenders.com/v2/token

Request Token

Below is the request and response used to obtain an access token. After submitting the request, the system returns a token that remains valid for 60 minutes..

{
  "access_key": "your_apikey"
}
{
  "token": "your_token"
}

Include the received access token inside theAuthorization header for all subsequent API request.

Authorization: Bearer your_token
ℹ️

API Token Lifetime

You don't need to generate a new token for every request. The same token can be reused for all API calls within its 60-minute validity. If your session may run longer than 60 minutes, make sure to implement token refresh logic.

🚧

Invalid or Expired Tokens

In case of an invalid or expired token, the API returns a 401 Status code in response.